public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/livecd-tools:bl2-only commit in: /
Date: Thu, 17 Feb 2011 05:43:35 +0000 (UTC)	[thread overview]
Message-ID: <5fcb9f4b9567af40f40443d2631b3632dc1509e1.williamH@gentoo> (raw)

commit:     5fcb9f4b9567af40f40443d2631b3632dc1509e1
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 17 05:33:50 2011 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Feb 17 05:42:43 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/livecd-tools.git;a=commit;h=5fcb9f4b

add --visit-items to dialog commands

this makes the net-setup script much more accessible with speakup.

X-Gentoo-Bug: 302381
X-Gentoo-Bug-URL: http://bugs.gentoo.org/show_bug.cgi?id=302381

---
 livecd-functions.sh |   28 ++++++++++++++--------------
 net-setup           |    2 +-
 2 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/livecd-functions.sh b/livecd-functions.sh
index 96a6dd7..81e2f1a 100755
--- a/livecd-functions.sh
+++ b/livecd-functions.sh
@@ -146,19 +146,19 @@ livecd_config_wireless() {
 	cd /tmp/setup.opts
 	[ -x /usr/sbin/iwconfig ] && iwconfig=/usr/sbin/iwconfig
 	[ -x /sbin/iwconfig ] && iwconfig=/sbin/iwconfig
-	dialog --title "SSID" --inputbox "Please enter your SSID, or leave blank for selecting the nearest open network" 20 50 2> ${iface}.SSID
+	dialog --visit-items --title "SSID" --inputbox "Please enter your SSID, or leave blank for selecting the nearest open network" 20 50 2> ${iface}.SSID
 	SSID=$(tail -n 1 ${iface}.SSID)
 	if [ -n "${SSID}" ]
 	then
-		dialog --title "WEP (Part 1)" --menu "Does your network use encryption?" 20 60 7 1 "Yes" 2 "No" 2> ${iface}.WEP
+		dialog --visit-items --title "WEP (Part 1)" --menu "Does your network use encryption?" 20 60 7 1 "Yes" 2 "No" 2> ${iface}.WEP
 		WEP=$(tail -n 1 ${iface}.WEP)
 		case ${WEP} in
 			1)
-				dialog --title "WEP (Part 2)" --menu "Are you entering your WEP key in HEX or ASCII?" 20 60 7 1 "HEX" 2 "ASCII" 2> ${iface}.WEPTYPE
+				dialog --visit-items --title "WEP (Part 2)" --menu "Are you entering your WEP key in HEX or ASCII?" 20 60 7 1 "HEX" 2 "ASCII" 2> ${iface}.WEPTYPE
 				WEP_TYPE=$(tail -n 1 ${iface}.WEPTYPE)
 				case ${WEP_TYPE} in
 					1)
-						dialog --title "WEP (Part 3)" --inputbox "Please enter your WEP key in the form of XXXX-XXXX-XX for 64-bit or XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XX for 128-bit" 20 50 2> ${iface}.WEPKEY
+						dialog --visit-items --title "WEP (Part 3)" --inputbox "Please enter your WEP key in the form of XXXX-XXXX-XX for 64-bit or XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XX for 128-bit" 20 50 2> ${iface}.WEPKEY
 						WEP_KEY=$(tail -n 1 ${iface}.WEPKEY)
 						if [ -n "${WEP_KEY}" ]
 						then
@@ -167,7 +167,7 @@ livecd_config_wireless() {
 						fi
 					;;
 					2)
-						dialog --title "WEP (Part 3)" --inputbox "Please enter your WEP key in ASCII form.  This should be 5 or 13 characters for either 64-bit or 128-bit encryption, repectively" 20 50 2> ${iface}.WEPKEY
+						dialog --visit-items --title "WEP (Part 3)" --inputbox "Please enter your WEP key in ASCII form.  This should be 5 or 13 characters for either 64-bit or 128-bit encryption, repectively" 20 50 2> ${iface}.WEPKEY
 						WEP_KEY=$(tail -n 1 ${iface}.WEPKEY)
 						if [ -n "${WEP_KEY}" ]
 						then
@@ -224,23 +224,23 @@ livecd_write_wireless_conf() {
 
 livecd_config_ip() {
 	cd /tmp/setup.opts
-	dialog --title "TCP/IP setup" --menu "You can use DHCP to automatically configure a network interface or you can specify an IP and related settings manually. Choose one option:" 20 60 7 1 "Use DHCP to auto-detect my network settings" 2 "Specify an IP address manually" 2> ${iface}.DHCP
+	dialog --visit-items --title "TCP/IP setup" --menu "You can use DHCP to automatically configure a network interface or you can specify an IP and related settings manually. Choose one option:" 20 60 7 1 "Use DHCP to auto-detect my network settings" 2 "Specify an IP address manually" 2> ${iface}.DHCP
 	DHCP=$(tail -n 1 ${iface}.DHCP)
 	case ${DHCP} in
 		1)
 			/sbin/dhcpcd -n -t 10 -h $(hostname) ${iface} &
 		;;
 		2)
-			dialog --title "IP address" --inputbox "Please enter an IP address for ${iface}:" 20 50 "192.168.1.1" 2> ${iface}.IP
+			dialog --visit-items --title "IP address" --inputbox "Please enter an IP address for ${iface}:" 20 50 "192.168.1.1" 2> ${iface}.IP
 			IP=$(tail -n 1 ${iface}.IP)
 			BC_TEMP=$(echo $IP|cut -d . -f 1).$(echo $IP|cut -d . -f 2).$(echo $IP|cut -d . -f 3).255
-			dialog --title "Broadcast address" --inputbox "Please enter a Broadcast address for ${iface}:" 20 50 "${BC_TEMP}" 2> ${iface}.BC
+			dialog --visit-items --title "Broadcast address" --inputbox "Please enter a Broadcast address for ${iface}:" 20 50 "${BC_TEMP}" 2> ${iface}.BC
 			BROADCAST=$(tail -n 1 ${iface}.BC)
-			dialog --title "Network mask" --inputbox "Please enter a Network Mask for ${iface}:" 20 50 "255.255.255.0" 2> ${iface}.NM
+			dialog --visit-items --title "Network mask" --inputbox "Please enter a Network Mask for ${iface}:" 20 50 "255.255.255.0" 2> ${iface}.NM
 			NETMASK=$(tail -n 1 ${iface}.NM)
-			dialog --title "Gateway" --inputbox "Please enter a Gateway for ${iface} (hit enter for none:)" 20 50 2> ${iface}.GW
+			dialog --visit-items --title "Gateway" --inputbox "Please enter a Gateway for ${iface} (hit enter for none:)" 20 50 2> ${iface}.GW
 			GATEWAY=$(tail -n 1 ${iface}.GW)
-			dialog --title "DNS server" --inputbox "Please enter a name server to use (hit enter for none:)" 20 50 2> ${iface}.DNS
+			dialog --visit-items --title "DNS server" --inputbox "Please enter a name server to use (hit enter for none:)" 20 50 2> ${iface}.DNS
 			DNS=$(tail -n 1 ${iface}.DNS)
 			/sbin/ifconfig ${iface} ${IP} broadcast ${BROADCAST} netmask ${NETMASK}
 			if [ -n "${GATEWAY}" ]
@@ -249,7 +249,7 @@ livecd_config_ip() {
 			fi
 			if [ -n "${DNS}" ]
 			then
-				dialog --title "DNS Search Suffix" --inputbox "Please enter any domains which you would like to search on DNS queries (hit enter for none:)" 20 50 2> ${iface}.SUFFIX
+				dialog --visit-items --title "DNS Search Suffix" --inputbox "Please enter any domains which you would like to search on DNS queries (hit enter for none:)" 20 50 2> ${iface}.SUFFIX
 				SUFFIX=$(tail -n 1 ${iface}.SUFFIX)
 				echo "nameserver ${DNS}" > /etc/resolv.conf
 				if [ -n "${SUFFIX}" ]
@@ -393,7 +393,7 @@ show_ifmenu() {
 	done
 	IFS="${old_ifs}"
 
-	if ! eval dialog --menu "Please select the interface that you wish to configure from the list below:" 0 0 0 $opts 2>iface
+	if ! eval dialog --visit-items --menu "Please select the interface that you wish to configure from the list below:" 0 0 0 $opts 2>iface
 	then
 		exit
 	fi
@@ -415,7 +415,7 @@ show_ifconfirm() {
 	[[ -n ${if_bus} ]] && text="${text}Bus type: ${if_bus}\n"
 	text="${text}\nIs this the interface that you wish to configure?"
 
-	if ! dialog --title "Interface details" --yesno "${text}" 15 70
+	if ! dialog --visit-items --title "Interface details" --yesno "${text}" 15 70
 	then
 		result="no"
 	else

diff --git a/net-setup b/net-setup
index f20d4c7..e81db2e 100755
--- a/net-setup
+++ b/net-setup
@@ -39,7 +39,7 @@ done
 # Show stderr again
 exec 2>/dev/stderr
 
-dialog --title "Network setup" --menu "This script is designed to setup both wired and wireless network settings.  All questions below apply to the ${iface} interface only.  Choose one option:" 20 60 7 1 "My network is wireless" 2 "My network is wired" 2> ${iface}.WIRED_WIRELESS
+dialog --visit-items --title "Network setup" --menu "This script is designed to setup both wired and wireless network settings.  All questions below apply to the ${iface} interface only.  Choose one option:" 20 60 7 1 "My network is wireless" 2 "My network is wired" 2> ${iface}.WIRED_WIRELESS
 WIRED_WIRELESS=$(tail -n 1 ${iface}.WIRED_WIRELESS)
 case ${WIRED_WIRELESS} in
 	1)



             reply	other threads:[~2011-02-17  5:43 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-02-17  5:43 William Hubbs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2011-02-13 19:27 [gentoo-commits] proj/livecd-tools:bl2-only commit in: / William Hubbs
2011-02-12 22:15 William Hubbs
2011-02-12 20:04 William Hubbs
2011-02-12  7:19 William Hubbs
2011-02-12  6:32 William Hubbs
2011-02-12  5:33 William Hubbs
2011-02-12  4:33 William Hubbs
2011-02-12  2:17 William Hubbs
2011-02-12  0:45 William Hubbs
2011-02-11 23:45 William Hubbs
2011-02-11 22:34 William Hubbs
2011-02-11 22:27 William Hubbs
2011-02-11 22:18 William Hubbs
2011-02-11 21:14 William Hubbs
2011-02-11 21:07 Robin H. Johnson
2011-02-11 20:35 Robin H. Johnson
2011-02-11 20:21 William Hubbs
2011-02-11 17:43 William Hubbs
2011-02-11  4:22 William Hubbs
2011-02-11  0:26 William Hubbs
2011-02-11  0:06 Robin H. Johnson
2011-02-10 23:57 William Hubbs
2011-02-10 23:26 William Hubbs
2011-02-10 21:11 Robin H. Johnson
2011-02-10 21:11 Robin H. Johnson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=5fcb9f4b9567af40f40443d2631b3632dc1509e1.williamH@gentoo \
    --to=williamh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox